#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,l;
    scanf("%d%d",&n,&l);

    int a[n];

    for(int i=0;i<n;i++) scanf("%d",&a[i]);

    int index=-1;

    for(int i=0;i<n;i++)
    {
        if(a[i]<=l)
        {
            index=i+1;
            break;
        }
    }

    printf("%d",index);

    return 0;
}